var iOpcionMenu;
var OPC_Menu_Fotos = 1;
var OPC_Menu_Explor = 2;
var OPC_Menu_Red = 3;
var OPC_Menu_Recurso = 4;
var OPC_Menu_Config = 5;
var OPC_Menu_MAX = 5;

function Pag_Menu_Show(iOpc) {
	iOpcionMenu = 0;
	Page_Show("Pag_Menu",
		 '<table width="720px" id="Pag_Menu" cellpadding="0" cellspacing="0" style="table-layout: fixed; background-image: url(fondo_menu.png);">'
		+'<tr height="88px">'
		+'	<td width="67px"/>'
		+'	<td width="202px" valign="bottom" style="color:#ffffff; font-size:18pt;">&nbsp;Menú</td>'
		+'	<td width="298px" valign="bottom" align="right" class="font15">' + ObtenerHoraActual() + '</td>'
		+'	<td width="150px"/>'
		+'</tr>'
		+'<tr height="7px"/>'
		+'<tr height="455px">'
		+'	<td/>'
		+'	<td valign="top"><table width="202px" cellpadding="0px" cellspacing="0px" style="table-layout: fixed">'
		+'		<tr height="34px"><td               class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;Teletexto</td></tr>'
		+'		<tr height="34px"><td               class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;EPG</td></tr>'
		+'		<tr height="34px"><td               class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;Música</td></tr>'
		+'		<tr height="34px"><td               class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;Video</td></tr>'
		+'		<tr height="34px"><td id="Pag_Menu_Opcion1" class="font16" style="background-repeat: no-repeat;' + ((iOpc==1 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Fotos</td></tr>'
		+'		<tr height="34px"><td id="Pag_Menu_Opcion2" class="font16" style="background-repeat: no-repeat;' + ((iOpc==2 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Explorador</td></tr>'
		+'		<tr height="34px"><td id="Pag_Menu_Opcion3" class="font16" style="background-repeat: no-repeat;' + ((iOpc==3 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Parámetros de red</td></tr>'
		+'		<tr height="34px"><td id="Pag_Menu_Opcion4" class="font16" style="background-repeat: no-repeat;' + ((iOpc==4 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Recursos de red</td></tr>'
		+'		<tr height="34px"><td id="Pag_Menu_Opcion5" class="font16" style="background-repeat: no-repeat;' + ((iOpc==5 )?"background-image: url(cursor_red.png)":"") + '">&nbsp;&nbsp;Configuración</td></tr>'
		+'		<tr height="34px"><td               class="font16disabled" style="background-repeat: no-repeat;'                                                           + '">&nbsp;&nbsp;Disco duro</td></tr>'
		+'	</table></td>'
		+'	<td id="Frm_Menu" valign="top" align="left" colspan="2"></td>'
		+'</tr>'
		+'</table>');
	if (iOpc > 0) ActualizarMenu(iOpc);
}

function Pag_Menu_KeyDown(keyChar) {
	try {
		switch (keyChar) {
		case KEY_UP:
			ActualizarMenu(iOpcionMenu - 1);
			return 0;
		case KEY_DOWN:
			ActualizarMenu(iOpcionMenu + 1);
			return 0;
		case KEY_LEFT:
			Page_Show("");
			return 0;
		case KEY_OK:
		case KEY_RIGHT:
			switch (iOpcionMenu) {
			case OPC_Menu_Fotos:
				Pag_Fotos_Show();
				break;
			case OPC_Menu_Explor:
				Pag_Explor_Load("");
				break;
			case OPC_Menu_Red:
				Pag_Red_Show(1);
				break;
			case OPC_Menu_Recurso:
				Pag_Recurso_Show(1);
				break;
			case OPC_Menu_Config:
				Pag_Config_Show(1);
				break;
			case OPC_Menu_AcercaDe:
				Pag_AcercaDe_Show();
				break;
			}
			return 0;
		}
	} catch(ex) {
		alert("Pag_Menu_KeyDown: " + ex); 
	}
	return 1;
}

function ActualizarMenu(iOpc) {
	if (iOpcionMenu > 0) {
		document.getElementById("Pag_Menu_Opcion" + iOpcionMenu).style.backgroundImage="none";
	}
	iOpcionMenu = iOpc;
	if (iOpcionMenu < 1) iOpcionMenu = OPC_Menu_MAX;
	if (iOpcionMenu > OPC_Menu_MAX) iOpcionMenu = 1;
	document.getElementById("Pag_Menu_Opcion" + iOpcionMenu).style.backgroundImage="url(cursor_red.png)";
}
